/* BACKGROUND AND PAGE SETTINGS!!! */

* {
    color: white;
}

html {
    background-color: black;
}

body {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    margin: 0 auto;
    padding-top: min(7.6875em, calc(20.91vw - 30px));
    background-image: url(Images/Carpet.jpg);
    background-color: rgba(0, 0, 0, 0.6);
    background-blend-mode: darken;
}

a {
    text-decoration: none;
    transition: 0.5s ease;
    cursor: pointer;
    text-align: center;
}

h2 {
    text-align: center;
    font-size: 1.5625em;
    padding: 2.777vw 3.5vw;
    margin: 0px 3.125em;
    background-color: rgb(107 64 119);
    border-radius: 2px;
    margin-bottom: .75em;
}

h1 {
    text-align: center;
    font-size: 2.8125em;
    padding: 1.25em 1.25em;
    margin: .5em 0;
    max-width: 60vw;
    justify-self: center;
    background-color: rgb(90 22 106);
    border-radius: 2px;
    text-size-adjust: auto;
}

@media screen and (max-width: 768px) {
    h2 {
        font-size: 12px;
    }

    h1 {
        font-size: 20px;
        max-width: 80vw;
    }
}

.blue {
    background-color: rgba(36, 224, 238, 0.8);
}

.green {
    background-color: rgba(172, 199, 120, 0.8);
}

.orange {
    background-color: rgba(255, 142, 36, 0.8);
}

/* HEADER */
/* HEADER */
/* HEADER */

.headerLink::before {
    content: "";
    position: absolute;
    display: block;
    width: 100%;
    height: 2px;
    bottom: 0px;
    left: 0;
    background-color: white;
    transform: scaleX(0);
    transition: transform 0.5s ease;
}

.headerLink:hover {
    transform: translateY(-2px);
}

.headerLink:hover::before {
    transform: scaleX(1);
}

#headerHoverBar {
    max-width: 100vw;
    inset: 0;
    height: 20px;
    z-index: 200;
    position: fixed;
}

.header {
    display: flex;
    margin-top: -120px;
    justify-content: space-between;
    background-color: rgba(0, 0, 0, .4);
    position: fixed;
    inset: 0 0 auto 0;
    z-index: 100;
    transition: margin-top 1s ease;

    .leftHeader {
        background: transparent;
        display: flex;
    }

    .WUTVLogo {
        height: 150px;
        max-height: 20.91vw;
        margin-left: 2rem;
        background: transparent;
        margin-top: -15px;
        margin-bottom: -15px;
    }

    .rightHeader {
        font-size: 26px;
        text-decoration: none;
        display: flex;
        align-items: center;
        justify-content: space-evenly;
        max-width: 50%;
        gap: 3rem;
        margin-right: 3rem;
        background: transparent;
    }
}

.header.show {
    margin-top: 0px;
}

.header.top {
    position: absolute;
    transition: 0s;
}

.header.instant {
    transition: 0s;
}

@media screen and (max-width: 768px) {
    .header > .WUTVLogo {
        margin-top: 10px;
    }

    .header > .rightHeader {
        font-size: 12px;
        gap: 1rem;
        margin-right: 2rem;
    }
}

/* END HEADER */
/* END HEADER */
/* END HEADER */

/* FOOTER */
/* FOOTER */
/* FOOTER */

footer {
    padding-bottom: 30px;

    #socials {
        display: flex;
        justify-content: center;
        gap: 2rem;
        margin-bottom: 20px;
    }

    .socialLink {
        font-size: 50px;
        text-align: center;
    }

    .socialLink:hover {
        transform: translateY(-2px);
        text-shadow: 0px 2px 1px rgb(61, 61, 61);
    }

    #GMJoin {
        text-align: center;
        margin: 20px 30%;
        padding: .5px 10px;
        border-radius: 20px;
        background-color: rgba(107, 64, 119, 0.8);
        box-shadow: 2px 2px 1px black;
        transition: 0.5s;
    }

    #GroupMeLinkWords {
        font-size: 36px;
        text-shadow: 2px 2px 1px black;
        transition: 0.5s;
    }

    #GMJoin:hover {
        transform: translateY(-2px); 
        background-color: rgba(152, 248, 78, 0.8);
    }

    @media screen and (max-width: 768px) {
        #GroupMeLinkWords {
            font-size: 15px;
        }
    }
}

/* END FOOTER */
/* END FOOTER */
/* END FOOTER */

/* ------------------------------------------- HOME PAGE ------------------------------------------- */

/* PICTURE CAROUSEL */
/* PICTURE CAROUSEL */
/* PICTURE CAROUSEL */

#featuredPics {
    display: flex;
    flex-direction: column;
    background-color: rgba(106, 17, 131, 0.8);
    padding: 0px 0px;
    margin-bottom: 1.25em;
    width: 100vw;
    position: sticky;
    overflow: hidden;
    min-height: 44.44444vw;
}

.WUTVBar1 {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    align-items: center;
    max-height: 5.555555vw;
    width: inherit;
    height: inherit;
    left: 0%;
    top: 0%;
    animation: backPrimary 30s linear infinite;
    position: relative;
}

.WUTVBar2 {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    align-items: center;
    max-height: 5.555555vw;
    width: inherit;
    height: inherit;
    left: 0%;
    top: 0%;
    animation: backSecondary 30s linear infinite;
    position: relative;
    margin-top: -5.555555vw;
}

.WUTVBar1 > p {
    font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
    font-size: 4.167vw;
    color: rgba(255, 255, 255, 0.2);
    text-shadow: 2px 2px 1px rgba(0, 0, 0, .2);
}

.WUTVBar2 > p {
    font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
    font-size: 4.167vw;
    color: rgba(255, 255, 255, 0.2);
    text-shadow: 2px 2px 1px rgba(0, 0, 0, .2);
}

.bullet {
    font-size: 4.167vw;
    opacity: 0.3;
}

#homepagePictures1 {
    display: flex;
    flex-direction: row;
    overflow: visible;
    gap: 1.1111vw;
    margin-bottom: 0px;
    width: inherit;
    height: inherit;
    left: 0%;
    top: 0%;
    animation: primary 60s linear infinite;
    position: relative;
}

#homepagePictures2 {
    display: flex;
    flex-direction: row;
    overflow: visible;
    gap: 1.11111vw;
    margin-bottom: 0px;
    width: inherit;
    height: inherit;
    left: 0%;
    top: 0%;
    animation: secondary 60s linear infinite;
    position: relative;
    margin-top: min(-33.33333vw, -225px);
}

@keyframes primary {
    from {
      left: 0%;
    }
    to {
      left: min(-227.77777%, calc((300px + 1.11111vw) * -5));
    }
}
  
  @keyframes secondary {
    from {
      left: max(227.77777%, calc((300px + 1.11111vw) * 5));
    }
    to {
      left: 0%;
    }
}

@keyframes backPrimary {
    from {
      left: 0%;
    }
    to {
      left: 95%;
    }
}
  
  @keyframes backSecondary {
    from {
      left: -95%;
    }
    to {
      left: 0%;
    }
}

.homepagePic {
    width: max(44.4444vw, 300px);
}

/* END PICTURE CAROUSEL */
/* END PICTURE CAROUSEL */
/* END PICTURE CAROUSEL */

/* VIDEO CONTAINER */
/* VIDEO CONTAINER */
/* VIDEO CONTAINER */

#featuredVideo {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#videoContainerHP {
    display: flex;
    justify-content: center;
}

iframe {
    border-width: 1px;
    border-color: rgba(239, 248, 47, 0.3);
    margin-bottom: 20px;
    aspect-ratio: 16 / 9;
    width: 60em;
    height: auto; 
    max-width: 80%;
}

/* END VIDEO CONTAINER */
/* END VIDEO CONTAINER */
/* END VIDEO CONTAINER */

/* ------------------------------------------- END HOME PAGE ------------------------------------------- */

/* -------------------------------------------- ABOUT PAGE --------------------------------------------- */

#galleryMain {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.gallery {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 0.5rem;
    margin: 0 auto;
    max-width: 1200px;
    justify-items: center;

    .picBox {
        max-width: 435px;
        display: flex;
        z-index: 10;

        img {
            max-width: 94%;
            border: 0.5rem solid white;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
            filter: grayscale(100%);
            transition: 0.3s;
        }
    
        img:hover {
            filter: grayscale(0%);
            cursor: pointer;
            transform: translateY(-1px);
        }
    
        p {
            pointer-events: none;
            position: absolute;
            display: flex;
            z-index: 50;
            margin-top: 0px;
            margin-left: 25px;
            font-size: 100px;
            font-weight: bold;
            font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
            opacity: 0;
            transition: 0.3s;
        }

        .bio {
            opacity: 0;
            position: absolute;
            font-size: 0;
        }

        margin-bottom: 20px;
    }

    .picBox:hover {
        p {
            opacity: 1;
        }
    }
}

@media screen and (max-width: 1350px) {
    .gallery {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media screen and (max-width: 900px) {
    .gallery {
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-left: 2vw;
    }
}

.galOverlay {
    position: fixed;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 100;
    opacity: 0;
    pointer-events: none;

    display: flex;
    justify-content: space-evenly;
    align-items: center;
    transition: 0.3s;
    gap: 1rem;
    padding-left: 5.2vw;

    #picPart {
        display: flex;
        justify-content: center;
        align-items: center;
        transition: 0.3s;
        gap: 1rem;
        padding-left: 10vw;
        margin-right: 5.2vw;
        width: 60vw;
    
        img {
            max-width: 80%;
            max-height: 90vh;
            border: 0.5rem solid white;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
        }
    }

    #bio {
        display: flex;
        height: 80vh;
        max-width: 40vw;
        align-items: center;
        p {
            font-size: 25px;
            line-height: 1.5;
            font-weight: bold;
            text-shadow: 2px 2px 2px black;
            text-align: center;
        }
    }
}

@media screen and (max-width: 768px) {
    .galOverlay {
        flex-direction: column-reverse;
        padding-left: 0px;
        padding-top: 5.62vh;

        #picPart {
            margin-top: 5vh;
        }

        #bio {
            margin-bottom: 5vh;
            max-width: 90vw;

            p {
                font-size: 14px;
            }
        }
    }
}

.galOverlay.active {
    opacity: 1;
    pointer-events: auto;
}

.arrowBubble {
    /* background-color: rgba(150, 150, 150, 0.7); */
    width: 3.5rem;
    height: 3.55rem;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.control {
    margin-top: 10px;
    font-size: 4rem;
    color: white;
    text-decoration: none;
    font-weight: bold;
}

#closeBubble {
    position: absolute;
    top: 1rem;
    right: 2rem;
}

#close {
    top: 1rem;
    right: 2rem;
}

@media screen and (max-width: 768px) {
    #closeBubble {
        position: absolute;
        top: 0.5rem;
        right: 1rem;
    }
    
    #close {
        top: 0.5rem;
        right: 1rem;
    }
}

/* ------------------------------------------- END ABOUT PAGE ------------------------------------------- */

/* -------------------------------------------- ARCHIVE PAGE -------------------------------------------- */

#archiveGallery {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 0.5rem;
    margin: 0 5%;
    max-width: 90%;
    justify-content: center;
    margin-bottom: 40px;
}

@media screen and (max-width: 1350px) {
    #archiveGallery {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media screen and (max-width: 900px) {
    #archiveGallery {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
}

.archiveBox {
    display: flex;
    flex-direction: column-reverse;
    justify-content: start;
    align-items: center;
    padding: 5px;
    max-width: 435px;

    h1 {
        font-size: 18px;
        background-color: transparent;
        max-width: 100%;
        padding: 0px;
        margin: 10px;
    }

    img {
        height: 325px;
        cursor: pointer;
    }
}

@media screen and (max-width: 450px) {
    .archiveBox {
        img {
            width: 360px;
            height: auto;
        }
    }
}

.archOverlay {
    position: fixed;
    display: none;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 10000;
    opacity: 0;
    pointer-events: none;
    align-items: center;
    justify-content: center;

    transition: 0.3s;
}

.archOverlay.active {
    display: flex !important;
    pointer-events: all;
    opacity: 1;
}

.archOverlay iframe {
    width: 80%;
    height: 80%;

    aspect-ratio: 16 / 9;
    width: 80%;
    height: auto; 
    max-width: 80%;
}

/* ------------------------------------------- END ARCHIVE PAGE ------------------------------------------- */

/* ------------------------------------------- UPCOMING EVENTS PAGE --------------------------------------- */

.eventBox {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    margin-bottom: 40px;
    position: relative;
}

.eventImg {
    width: 600px;
    position: sticky;
    max-width: 80vw;
    border: 4px solid white;
    margin-bottom: 20px;
    z-index: 20;
}

.eventRibbon {
    width: 100vw;
    height: 360px;
    max-height: 55vw;
    position: absolute;
    background-color: rgba(107, 64, 119, 0.7);
    top: 3.125vw;
    z-index: 0;
}

.eventText {
    padding: 30px;
    max-width: 80%;
    .eventHeader {
        font-size: 40px;
        padding: 0px;
        background-color: transparent;
        margin: 0px;
        margin-bottom: 20px;
        text-align: center;
    }

    .eventDescription {
        text-align: center;
        font-size: 20px;
    }
    margin-bottom: 40px;
}

.eventLine {
    width: 90vw;
    height: 1px;
    background-color: white;
}

/* ------------------------------------------- END UPCOMING EVENTS PAGE ----------------------------------- */